slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPJDGetFix

Returns the threshold for changing the target in the correction equation.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPJDGetFix(PEP pep,PetscReal *fix)

Not Collective

### Input Parameter

| pep | - the eigenproblem solver context

### Output Parameter

| fix | - threshold for changing the target

### Note

The target in the correction equation is fixed at the first iterations. When the norm of the residual vector is lower than the fix value, the target is set to the corresponding eigenvalue.

### See Also

PEPJDSetFix()

### Level

advanced

### Location

src/pep/impls/jd/pjd.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages